Claim a queued run
A daemon claims a run CliqHub offered to its realm (see Start a run, realm path); the first claim wins and CliqHub then sends that daemon the run. Daemons call this with their realm token; a realm member may also claim on a daemon’s behalf.
Daemon only: requires the daemon’s realm token (Authorization: Bearer cliq_dt_…) for the realm the record belongs to. Queue item must be in the token realm.
POST
/
v1
/
runs
/
claim
Claim a queued run
curl --request POST \
--url https://{host}/v1/runs/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queue_item_id": "e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b",
"daemon_id": "7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d"
}
'import requests
url = "https://{host}/v1/runs/claim"
payload = {
"queue_item_id": "e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b",
"daemon_id": "7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
queue_item_id: 'e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b',
daemon_id: '7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d'
})
};
fetch('https://{host}/v1/runs/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/runs/claim",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'queue_item_id' => 'e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b',
'daemon_id' => '7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/runs/claim"
payload := strings.NewReader("{\n \"queue_item_id\": \"e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b\",\n \"daemon_id\": \"7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/runs/claim")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"queue_item_id\": \"e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b\",\n \"daemon_id\": \"7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/runs/claim")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"queue_item_id\": \"e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b\",\n \"daemon_id\": \"7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"id": "e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b",
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b",
"kind": "run",
"payload": {
"team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4"
},
"priority": 0,
"status": "claimed",
"claimed_by": "7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d",
"claimed_at": 1759834200500,
"run_id": null,
"results": null,
"submitted_by": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"submitted_at": 1759834200000,
"error": null,
"created_at": 1759834200000,
"updated_at": 1759834200500
}
}
Authorizations
User PAT (cliq_tok_…, including session-scoped) or realm token (cliq_dt_…).
Body
application/json
⌘I
Claim a queued run
curl --request POST \
--url https://{host}/v1/runs/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queue_item_id": "e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b",
"daemon_id": "7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d"
}
'import requests
url = "https://{host}/v1/runs/claim"
payload = {
"queue_item_id": "e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b",
"daemon_id": "7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
queue_item_id: 'e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b',
daemon_id: '7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d'
})
};
fetch('https://{host}/v1/runs/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/runs/claim",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'queue_item_id' => 'e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b',
'daemon_id' => '7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/v1/runs/claim"
payload := strings.NewReader("{\n \"queue_item_id\": \"e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b\",\n \"daemon_id\": \"7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{host}/v1/runs/claim")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"queue_item_id\": \"e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b\",\n \"daemon_id\": \"7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/v1/runs/claim")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"queue_item_id\": \"e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b\",\n \"daemon_id\": \"7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d\"\n}"
response = http.request(request)
puts response.read_body{
"ok": true,
"data": {
"id": "e1d2c3b4-a5f6-4789-8a0b-1c2d3e4f5a6b",
"realm_id": "5b0c3a7e-2f4d-4b8e-9a51-7c1d2e3f4a5b",
"kind": "run",
"payload": {
"team_id": "3f6c2a8e-6b1d-4c1e-9a57-0d2f4b8e91c4"
},
"priority": 0,
"status": "claimed",
"claimed_by": "7d1c2b3a-4e5f-4a6b-8c7d-9e0f1a2b3c4d",
"claimed_at": 1759834200500,
"run_id": null,
"results": null,
"submitted_by": "1a2b3c4d-5e6f-4a7b-8c9d-0e1f2a3b4c5d",
"submitted_at": 1759834200000,
"error": null,
"created_at": 1759834200000,
"updated_at": 1759834200500
}
}